Package: groovy.lang

## [Java] Class TracingInterceptor

- groovy.lang.TracingInterceptor

- All Implemented Interfaces and Traits:
    Interceptor

      public class TracingInterceptor
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Writer` | `writer` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Writer` | `writer`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `afterInvoke(Object object, String methodName, Object[] arguments, Object result)`
    `` | `Object` | `beforeInvoke(Object object, String methodName, Object[] arguments)`
    `` | `boolean` | `doInvoke()`
    `` | `Writer` | `getWriter()` Returns the writer associated with this interceptor.
    `` | `void` | `setWriter(Writer writer)` Changes the writer associated with this interceptor.
    `` | `protected void` | `write(Object object, String methodName, Object[] arguments, String origin)`
    `` | `protected void` | `writeInfo(Class aClass, String methodName, Object[] arguments)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected Writer writer

  - ### Property Detail

    - #### Writer writer

  - ### Method Detail

    - #### public Object afterInvoke(Object object, String methodName, Object[] arguments, Object result)

    - #### public Object beforeInvoke(Object object, String methodName, Object[] arguments)

    - #### public boolean doInvoke()

    - #### public Writer getWriter()

      Returns the writer associated with this interceptor.

    - #### public void setWriter(Writer writer)

      Changes the writer associated with this interceptor.

    - #### protected void write(Object object, String methodName, Object[] arguments, String origin)

    - #### protected void writeInfo(Class aClass, String methodName, Object[] arguments)